/*****************************************************************************
 *
 * CyberSound: 14 Bit sound driver
 *
 * (c) 1995 by Christian Buchner
 *
 *****************************************************************************
 *
 * driver_protos.h
 */

/*------ Initialize/Change buffer sizes -------------------------------*/
BOOL SetBuffers(ULONG audiosize, ULONG queuesize);
/*------ Stream format selection --------------------------------------*/
BOOL StreamFormat(ULONG format);
/*------ Frequency Negotiation ----------------------------------------*/
ULONG AskFrequency(ULONG frequency);
/*------ Stream Provider ----------------------------------------------*/
BOOL ProvideStream(UWORD *left,UWORD *right,ULONG samples,UWORD interleave,ULONG frequency,void (*callback)(void));
/*------ Flush the Stream ---------------------------------------------*/
void FlushStream(void);
/*----- Play/Pause control --------------------------------------------*/
void PauseStream(void);
void ResumeStream(void);
/*----- Interrupt locking ---------------------------------------------*/
void SD_Lock(void);
void SD_Unlock(void);
